Module tdlight.api
Package it.tdlight.jni

# Class TdApi.InputChatPhotoAnimation

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InputChatPhoto
it.tdlight.jni.TdApi.InputChatPhotoAnimation

Enclosing class:
  TdApi

public static final class TdApi.InputChatPhotoAnimation extends TdApi.InputChatPhoto
An animation in MPEG4 format; must be square, at most 10 seconds long, have width between 160 and 800 and be at most 2MB in size.

## Field Summary

Fields
Modifier and Type
Field
Description
`TdApi.InputFile`
`animation`
Animation to be set as profile photo.
`static final int`
`CONSTRUCTOR`
`double`
`mainFrameTimestamp`
Timestamp of the frame, which will be used as static chat photo.

## Constructor Summary

Constructors
Constructor
Description
`InputChatPhotoAnimation()`
An animation in MPEG4 format; must be square, at most 10 seconds long, have width between 160 and 800 and be at most 2MB in size.
`InputChatPhotoAnimation(TdApi.InputFile animation, double mainFrameTimestamp)`
An animation in MPEG4 format; must be square, at most 10 seconds long, have width between 160 and 800 and be at most 2MB in size.
`InputChatPhotoAnimation(DataInput input)`
An animation in MPEG4 format; must be square, at most 10 seconds long, have width between 160 and 800 and be at most 2MB in size.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### animation

public TdApi.InputFile animation
Animation to be set as profile photo. Only inputFileLocal and inputFileGenerated are allowed.

### mainFrameTimestamp

public double mainFrameTimestamp
Timestamp of the frame, which will be used as static chat photo.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### InputChatPhotoAnimation

public InputChatPhotoAnimation()
An animation in MPEG4 format; must be square, at most 10 seconds long, have width between 160 and 800 and be at most 2MB in size.

### InputChatPhotoAnimation

public InputChatPhotoAnimation(TdApi.InputFile animation, double mainFrameTimestamp)
An animation in MPEG4 format; must be square, at most 10 seconds long, have width between 160 and 800 and be at most 2MB in size.

Parameters:
  `animation` - InputFile Animation to be set as profile photo. Only inputFileLocal and inputFileGenerated are allowed.
  `mainFrameTimestamp` - double Timestamp of the frame, which will be used as static chat photo.

### InputChatPhotoAnimation

public InputChatPhotoAnimation(DataInput input) throws IOException
An animation in MPEG4 format; must be square, at most 10 seconds long, have width between 160 and 800 and be at most 2MB in size.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`